From 4037c8dd2700c409187a2e4b4e4b8f79e9344e77 Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sun, 25 Sep 2022 15:59:31 +0200
Subject: [PATCH 03/13] gnu: Add java-fasterxml-jackson-annotations-2.12.2

* gnu/packages/java.scm (java-fasterxml-jackson-annotations-2.12.2): New variable.
---
 gnu/packages/java.scm | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 265951ca2b..8acf4e8dda 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -9972,7 +9972,7 @@ (define-public java-fasterxml-jackson-annotations
        #:source-dir "src/main/java"
        #:test-dir "src/test"))
     (native-inputs
-     `(("junit" ,java-junit)))
+     (list java-junit))
     (home-page "https://github.com/FasterXML/jackson-annotations")
     (synopsis "General purpose annotations for the Jackson Data Processor")
     (description "This package contains general purpose annotations for the
@@ -9980,6 +9980,21 @@ (define-public java-fasterxml-jackson-annotations
 not included are ones that require dependency to the Databind package.")
     (license license:asl2.0)))
 
+(define-public java-fasterxml-jackson-annotations-2.12.2
+  (package
+    (inherit java-fasterxml-jackson-annotations)
+    (name "java-fasterxml-jackson-annotations")
+    (version "2.12.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/FasterXML/jackson-annotations")
+                    (commit (string-append "jackson-annotations-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1rl42dma59mig84z5gf5szz7z83b1smbi782rrdq33p1qw394pzy"))))))
+
 (define-public java-fasterxml-jackson-core
   (package
     (name "java-fasterxml-jackson-core")
-- 
2.38.0

